From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/
Date: Sat, 26 May 2018 23:45:46 +0000 (UTC) [thread overview]
Message-ID: <1527378304.38d913951bad84e36a13a2f79aed46b94cfe4fce.eva@gentoo> (raw)
commit: 38d913951bad84e36a13a2f79aed46b94cfe4fce
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat May 26 22:29:19 2018 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat May 26 23:45:04 2018 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=38d91395
app-misc/gnote: 3.24.1 → 3.26.0
Formatting and actions menus redesigned. Translation updates.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Manifest-Sign-Key: 0x5A56C8CD0C13248A
app-misc/gnote/gnote-3.26.0.ebuild | 71 ++++++++++++++++++++++++++++++++++++++
1 file changed, 71 insertions(+)
diff --git a/app-misc/gnote/gnote-3.26.0.ebuild b/app-misc/gnote/gnote-3.26.0.ebuild
new file mode 100644
index 00000000..45ad245e
--- /dev/null
+++ b/app-misc/gnote/gnote-3.26.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+# Automagic:
+# glib-2.32 dep
+# >=dev-libs/unittest++-1.5.1 (but not detected due to missing .pc)
+COMMON_DEPEND="
+ >=app-crypt/libsecret-0.8
+ >=app-text/gtkspell-3.0:3
+ >=dev-cpp/glibmm-2.32:2
+ >=dev-cpp/gtkmm-3.18:3.0
+ >=dev-libs/glib-2.32:2[dbus]
+ >=dev-libs/libxml2-2:2
+ dev-libs/libxslt
+ >=sys-apps/util-linux-2.16:=
+ >=x11-libs/gtk+-3.20:3
+"
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gsettings-desktop-schemas
+"
+DEPEND="${DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ >=dev-util/intltool-0.35.0
+ dev-util/itstool
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # Do not alter CFLAGS
+ sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
+
+ gnome2_src_prepare
+
+ if has_version net-fs/wdfs; then
+ DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
+ synchronize notes."
+ else
+ DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+ If you want to use that functionality just emerge net-fs/wdfs.
+ Gnote will automatically detect that you did and let you use it."
+ fi
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ $(use_enable debug)
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
next reply other threads:[~2018-05-26 23:45 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-26 23:45 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-11-19 16:00 [gentoo-commits] proj/gnome:master commit in: app-misc/gnote/ Gilles Dartiguelongue
2018-11-19 16:00 Gilles Dartiguelongue
2018-05-26 23:45 Gilles Dartiguelongue
2015-05-30 0:48 Alexandre Rostovtsev
2015-05-12 22:20 Gilles Dartiguelongue
2014-12-21 13:28 Gilles Dartiguelongue
2014-12-07 18:49 Gilles Dartiguelongue
2014-04-06 18:22 Gilles Dartiguelongue
2013-11-14 8:03 Gilles Dartiguelongue
2013-10-12 23:39 Gilles Dartiguelongue
2013-08-24 14:10 Priit Laes
2012-12-16 15:33 Gilles Dartiguelongue
2012-10-28 21:06 Gilles Dartiguelongue
2012-10-28 11:33 Gilles Dartiguelongue
2011-10-23 17:51 Alexandre Restovtsev
2011-09-28 7:05 Alexandre Restovtsev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1527378304.38d913951bad84e36a13a2f79aed46b94cfe4fce.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox